<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';
	$setting = mysql_fetch_array(mysql_query("SELECT * FROM `sims_setting`"));
echo '<div class="'.$diz['post_1'].'"><img src="i/city_large.png" /> <b style="font-size:1.3em;">Банк</b><b style="font-size:1.3em;float:right;">'.date("H:i",time()).'</b></div>
<div class="'.$diz['post_1'].'">
Уважаемый(ая) <b>'.$sims_user['name'].' '.$sims_user['fam'].'</b> , вас приветствует банк "ЛокалХост" . У нас вы можете купить игровые кредиты или игровые доллары.
<br/>
Вы можете расплатиться с помощью Webmoney кошелька.
<br/>
Выберите валюту<br/>
<form method="post" action="bank.php?'.mt_rand().'">
<select name="val">
<option value="wmu" '.($_POST['val']=='wmu' ? "selected='selected'" : "").'>WMU</option>
<option value="wmr" '.($_POST['val']=='wmr' ? "selected='selected'" : "").'>WMR</option>
<option value="wmz" '.($_POST['val']=='wmz' ? "selected='selected'" : "").'>WMZ</option>
</select><br/>
Количество кредитов:
<br/>
<input name="colvo" value="'.(isset($_POST['colvo']) ? abs(intval($_POST['colvo'])) : "0").'"/>
<br/>
<input name="submit" value="Оплатить" type="submit" /><input name="count" value="Пересчитать" type="submit" />
</form><br/>
&raquo; <a href="http://gde.webmoney.ru">Где пополнить в моем городе?</a>
</div>
';
if(isset($_POST['count']))
{

	$num =abs(intval($_POST['colvo']));
	if($_POST['val']=='wmu')
	$num2 = $setting['wmu_c'];
	if($_POST['val']=='wmr')
	$num2 = $setting['wmr_c'];
	if($_POST['val']=='wmz')
	$num2 = $setting['wmz_c'];
	
	echo "<div class='".$diz['post_1']."'>
	1 кредит = $num2 ".sims_in($_POST['val'])."<br/>
	Кол-во кредитов : ".($num)."<br/>
	Сумма : ".($num2*$num)."  ".sims_in($_POST['val'])."
	</div>";
}
if(isset($_POST['submit']))
{

	$num =abs(intval($_POST['colvo']));
	if($_POST['val']=='wmu')
	{
	$num2 = $setting['wmu_c'];
	$num3 = $setting['wmu'];
	}
	if($_POST['val']=='wmr')
	{
	$num2 = $setting['wmr_c'];
	$num3 = $setting['wmr'];
	}
	if($_POST['val']=='wmz')
	{
	$num2 = $setting['wmz_c'];
	$num3 = $setting['wmz'];
	}
	if($setting['open_bank']=='0')
	echo "К сожалению принятие платежей не осуществляется";
	else
	{
	echo "<div class='".$diz['post_1']."'>
	1 кредит = $num2 ".sims_in($_POST['val'])."<br/>
	Кол-во кредитов : ".($num)."<br/>
	Сумма : ".($num2*$num)."  ".sims_in($_POST['val'])."<br/>
	При оплате через терминал следуйте экранному меню и будьте, пожалуйста, внимательны при вводе номера кошелька.<br/>
Прием средств терминалами обычно происходит следующим образом:<br/>
<br/>
- Выберите на сенсорном экране значок  WebMoney<br/>
- Введите 12 цифр номера ".sims_in($_POST['val'])."-кошелька: ".$num3."<br/>
- Терминал проверит правильность номера кошелька.<br/>
- Терминал попросит вставить купюры.<br/>
- Получите и сохраните чек.<br/>
- Готово.<br/>
<br/>
Напишите администратору о том когда и на какую сумму был перевод.<br/>
Начисление может занять от 10 мин. до нескольких часов.<br/>
Будьте терпиливы, Ваши кредиты будут обязательно зачислены!
	</div>";
	}
}
sims_ret($diz['ret'],'Город','city.php');
sims_ret($diz['ret'],'Назад','index.php');
include_once '../sys/inc/tfoot.php';
?>
